package com.baojia.mebike.feature.exclusive.detail

import com.baojia.mebike.base.IBasePresenter
import com.baojia.mebike.base.IBaseView
import com.baojia.mebike.feature.exclusive.detail.ExchangeDetailResponse


class ExchangeDetailContract {

    interface View : IBaseView<Presenter> {

      fun  setData(data : ExchangeDetailResponse)

    }


    interface Presenter : IBasePresenter {

        /**
         * 获取列表信息
         */
        fun getExchangeDetailData()
    }
}