package com.baojia.mebike.feature.exclusive.detail

import android.app.Activity
import com.baojia.mebike.base.BasePresenter
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.util.Toast

class ExchangeDetailPresenter(val activity: Activity,val view : ExchangeDetailContract.View) : BasePresenter(activity), ExchangeDetailContract.Presenter {

    val model = ExchangeDetailModel(activity)

    override fun getExchangeDetailData() {
        addDisposable(model.getExchangeDetailData(object : HttpCallback<ExchangeDetailResponse>(){
            override fun onSucceed(data: ExchangeDetailResponse?) {
                super.onSucceed(data)
                data?.apply {

                }
            }

            override fun onFailed(code: Int, message: String?) {
                super.onFailed(code, message)
                Toast.show(activity,message)
            }

            override fun onError(code: Int, message: String?) {
                super.onError(code, message)
                onFailed(-1,message)
            }
        }))
    }

}