package com.baojia.mebike.feature.exclusive.powerStation

import android.content.Context
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.exclusive.PowerStationResponse
import com.baojia.mebike.util.ToolBox

/**
 * +----------------------------------------------------------------------
 * | @time 2018/12/24:11:01 PM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
class PowerStationAdapter constructor(context: Context, list: ArrayList<PowerStationResponse.DataBean.BatteryReplaceSiteVoListBean>, layoutId: Int)
    : BaseCommonAdapter<PowerStationResponse.DataBean.BatteryReplaceSiteVoListBean>(context, list, layoutId) {
    override fun convert(holder: BaseViewHolder?, list: MutableList<PowerStationResponse.DataBean.BatteryReplaceSiteVoListBean>?, position: Int) {
        if (list != null) {
            list[position]?.let {
                if (it.distance >= 1000) {
                    holder?.setText(R.id.distanceTextView, "${ToolBox.getTwoDecimal(it.distance / 1000)}km")
                } else {
                    holder?.setText(R.id.distanceTextView, "${ToolBox.getTwoDecimal(it.distance)}m")
                }

                holder?.setText(R.id.addressNameTextView, it.siteName)
                holder?.setText(R.id.addressIntroduceTextView, it.address)
            }
        }
        holder?.itemView?.setOnClickListener {
            onItemChildViewClickListner?.onItemChildViewClick(it, position)
        }
    }
}