package com.baojia.mebike.feature.exclusive.shopping.bill

import android.app.Activity
import com.baojia.mebike.base.BaseModel
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.data.CommData
import com.baojia.mebike.data.response.shopping.BikeConfigBean
import com.baojia.mebike.data.response.shopping.ListProductBean
import com.baojia.mebike.data.response.shopping.MineOrderBean
import com.baojia.mebike.http.HttpUtils
import io.reactivex.disposables.Disposable
import java.util.HashMap

/**
 * @name mebikeRewrite
 * @classPackage com.baojia.mebike.feature.exclusive.shopping.aboutexclusive
 * @author lycc1
 * @time 2018/12/25 21:01
 * @class describe
 * @class 中文描述
 */
class BillListsModel(activity: Activity) : BaseModel(activity) {

    /**
     * 产品列表接口  专享商城
     */
    private val LIST_ORDER = "/pmall/order/list"

    fun getListConfig(currentPage: Int, httpCallback: HttpCallback<MineOrderBean?>?): Disposable {
        val params = HashMap<String, Any>()
        params["currentPage"] = currentPage//产品ID
        params["pageSize"] = 20
        return HttpUtils.postRequest(activity, LIST_ORDER, params, false, httpCallback, MineOrderBean::class.java)
    }

}