package com.baojia.mebike.feature.exclusive.shopping.buyBikeConfig

import androidx.fragment.app.FragmentActivity
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.exclusive.shapping.BuyBikeConfigResponse

class BuyBikePlantAdapter(activity: FragmentActivity?, data: ArrayList<BuyBikeConfigResponse.DataBean.PackagesBean.PackageItemsBean>?, item_buy_bike_plant: Int)
    :BaseCommonAdapter<BuyBikeConfigResponse.DataBean.PackagesBean.PackageItemsBean>(activity,data,item_buy_bike_plant){

    override fun convert(holder: BaseViewHolder?, list: MutableList<BuyBikeConfigResponse.DataBean.PackagesBean.PackageItemsBean>?, position: Int) {
        list?:return
        var item = list[position]
        if (item.discountText.isEmpty()){
            holder?.setVisbility(R.id.buyBikePlantItemSaleIv,false)
            holder?.setVisbility(R.id.buyBikePlantItemSaleTv,false)
            holder?.setVisbility(R.id.buyBikePlantItemTitleTwo,false)
            holder?.setVisbility(R.id.buyBikePlantItemTitleTwoIv,false)
        }else{
            holder?.setVisbility(R.id.buyBikePlantItemSaleIv,true)
            holder?.setVisbility(R.id.buyBikePlantItemSaleTv,true)
            holder?.setVisbility(R.id.buyBikePlantItemTitleTwo,true)
            holder?.setVisbility(R.id.buyBikePlantItemTitleTwoIv,true)
            //折扣
            holder?.setText(R.id.buyBikePlantItemSaleTv,item.discountText)
            //原价
            holder?.setText(R.id.buyBikePlantItemTitleTwo,item.originalPriceText)
        }
        //现价
        holder?.setText(R.id.buyBikePlantItemTitle,""+item.currentPriceText)
        //描述
        holder?.setText(R.id.buyBikePlantItemDesc,""+item.description)

        if (item.isClick){
            holder?.setBackgroundRes(R.id.buyBikePlantItemMainConstraintLayout,R.drawable.radius_main_color_storke_bg)
        }else{
            holder?.setBackgroundRes(R.id.buyBikePlantItemMainConstraintLayout,R.drawable.radius_stroke_line_color)
        }


    }

}
