package com.baojia.mebike.feature.exclusive.shopping.bill

import android.app.Activity
import com.baojia.mebike.base.BaseModel
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.data.CommData
import com.baojia.mebike.data.response.shopping.BikeConfigBean
import com.baojia.mebike.data.response.shopping.ListProcessBean
import com.baojia.mebike.data.response.shopping.ListProductBean
import com.baojia.mebike.data.response.shopping.MineOrderBean
import com.baojia.mebike.http.HttpUtils
import io.reactivex.disposables.Disposable
import java.util.HashMap

/**
 * @name mebikeRewrite
 * @classPackage com.baojia.mebike.feature.exclusive.shopping.aboutexclusive
 * @author lycc1
 * @time 2018/12/25 21:01
 * @class describe
 * @class 中文描述
 */
class BuyResultModel(activity: Activity) : BaseModel(activity) {
    /**
     * 产品列表接口  专享商城
     */
    private val LIST_PROCESS = "/pmall/order/process/list"

    fun getListProcess(orderNo: String, httpCallback: HttpCallback<ListProcessBean?>?): Disposable {
        val params = HashMap<String, Any>()
        params["orderNo"] = orderNo//产品ID
        return HttpUtils.postRequest(activity, LIST_PROCESS, params, true, httpCallback, ListProcessBean::class.java)
    }

}