package com.baojia.mebike.feature.exclusive.shopping.aboutexclusive

import android.app.Activity
import com.baojia.mebike.base.BasePresenter
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.data.response.shopping.ListProcessBean
import com.baojia.mebike.feature.exclusive.shopping.bill.BuyResultModel
import com.baojia.mebike.util.Toast

/**
 * @name mebikeRewrite
 * @classPackage com.baojia.mebike.feature.exclusive.shopping.aboutexclusive
 * @author lycc1
 * @time 2018/12/24 21:10
 * @class describe
 * @class 中文描述
 */
class BuyResultPresenter(val mContext: Activity?,val  mView: BuyResultContract.View) : BasePresenter(mContext), BuyResultContract.Presenter {

    var mModel: BuyResultModel? = null


    override fun getListProcess(orderNo: String?) {
        addDisposable( mModel?.getListProcess(orderNo!!,object : HttpCallback<ListProcessBean?>() {
            override fun onSucceed(data: ListProcessBean?) {
                super.onSucceed(data)
                mView.setListData(data)
            }

            override fun onFailed(code: Int, message: String?) {
                super.onFailed(code, message)
                Toast.show(mContext, message)
            }

            override fun onError(code: Int, message: String?) {
                super.onError(code, message)
                onFailed(code, message)
            }
        }))
    }


    init {
        mView.setPresenter(this)
        mModel = BuyResultModel(mContext!!);
    }
}