package com.baojia.mebike.feature.exclusive.shopping.orderprogress

import android.content.Context
import android.view.View
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.shopping.ListProcessBean

/**
 * @name mebikeRewrite
 * @classPackage com.baojia.mebike.feature.exclusive.shopping.bill
 * @author lycc1
 * @time 2018/12/25 15:03
 * @class describe
 * @class 中文描述
 */
class BuyOrderProgressAdapter(context: Context, list: ArrayList<ListProcessBean.ProcessData.DataBean>, layoutId: Int)
    : BaseCommonAdapter<ListProcessBean.ProcessData.DataBean>(context, list, layoutId) {
    override fun convert(holder: BaseViewHolder?, list: MutableList<ListProcessBean.ProcessData.DataBean>?, position: Int) {
        var bean = list?.get(position) ?: return
        holder?.setText(R.id.progressMsg, bean.orderRemarks)
        holder?.setText(R.id.progressTime, bean.createTime)
        holder?.setVisbility(R.id.progressLine, list.size - 1 != position)
    }
}