package com.baojia.mebike.feature.exclusive.shopping.renewalfee

import android.os.Bundle
import androidx.recyclerview.widget.GridLayoutManager
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseActivity
import com.baojia.mebike.data.response.join.JoinRecordResponse
import com.baojia.mebike.feature.exclusive.shopping.aboutexclusive.RenewalFeeContract
import com.baojia.mebike.util.ToolBox
import kotlinx.android.synthetic.main.activity_renewal_fee.*
import kotlinx.android.synthetic.main.include_bottom_common.*

/**
 * @name mebikeRewrite
 * @classPackage com.baojia.mebike.feature.exclusive.shopping.renewalfee
 * @author lycc1
 * @time 2018/12/25 15:52
 * @class describe
 * @class 中文描述  续期支付
 */
class RenewalFeeAct : BaseActivity(), RenewalFeeContract.View {
    override fun layoutId(): Int {
        return R.layout.activity_renewal_fee
    }

    var mAdapter: RenewalFeeAdapter? = null
    private val mDatas = ArrayList<JoinRecordResponse.DataBean>()
    override fun bindView(savedInstanceState: Bundle?) {
        setTitle(R.string.bill)

        var gridLayoutManager = GridLayoutManager(this, 2);//2列
        recyclerView.setLayoutManager(gridLayoutManager);

        mAdapter = RenewalFeeAdapter(this,mDatas, R.layout.adapter_renewal_fee)

        bottomViewOkLeftTv.text = ToolBox.getString(R.string.button_button_back)
        bottomViewOkRightTv.text = ToolBox.getString(R.string.button_button_sure)
        setViewClickDuration(bottomViewOkLeftTv,1)
        setViewClickDuration(bottomViewOkRightTv,1)

    }

    override fun setPresenter(presenter: RenewalFeeContract.Presenter?) {
    }
}