package com.baojia.mebike.feature.exclusive.shopping.selectBackAddress

import com.amap.api.services.core.PoiItem
import com.baojia.mebike.base.aboutbike.IPersonAreaPresenter
import com.baojia.mebike.base.aboutbike.IPersonAreaView
import com.baojia.mebike.map.LocationConfig

interface SelectBackAddressContract {

    interface View : IPersonAreaView<Presenter> {

        fun setPoiData(markerBeanList: ArrayList<PoiItem>)

        fun searchLatLng() : LocationConfig?


    }

    interface Presenter : IPersonAreaPresenter {

        fun searchPoi()
    }
}