package com.baojia.mebike.feature.join.myjoin

import com.baojia.mebike.base.BaseModel
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.data.response.join.JoinPlantListResponse
import com.baojia.mebike.data.response.join.MyJoinResponse
import com.baojia.mebike.http.HttpUtils
import io.reactivex.disposables.Disposable
import java.util.HashMap

class MyJoinModel(activity: MyJoinActivity) : BaseModel(activity){

    private val URL_MY_JOIN = "/bike/get/myOrder"

    fun getJoinPlantData(pageNum : Int ,httpCallback: HttpCallback<MyJoinResponse>): Disposable {

        val params: Map<String, Any> = mapOf("pageNum" to pageNum,"pageSize" to 20)

        return HttpUtils.postRequest(activity, URL_MY_JOIN, params, false, httpCallback, MyJoinResponse::class.java)
    }

}