package com.baojia.mebike.feature.join.plant

import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.join.JoinPlantListResponse

class JoinPlantAdapter(val activity: JoinPlantActivity, val mData: ArrayList<JoinPlantListResponse.DataBean.ProductBean>, layoutId: Int)
    : BaseCommonAdapter<JoinPlantListResponse.DataBean.ProductBean>(activity, mData, layoutId) {


    override fun convert(holder: BaseViewHolder?, list: MutableList<JoinPlantListResponse.DataBean.ProductBean>?, position: Int) {

        var item :JoinPlantListResponse.DataBean.ProductBean = list!![position]
        item ?: return

        if (item.isClick){
            holder?.setBackgroundRes(R.id.backgroundImageView,R.drawable.radius_main_color_storke_bg)
        }else{
            holder?.setBackgroundRes(R.id.backgroundImageView,R.drawable.radius_stroke_line_color)
        }

        holder?.setText(R.id.countTextView,"${item.carNumbuer}辆")
        holder?.setText(R.id.priceTextView,"${item.joinMoney}元")
        holder?.setText(R.id.introduceTextView,"每天租金收益${item.porfit}元")

    }


}
