package com.baojia.mebike.feature.join.plant

import com.baojia.mebike.base.IBasePresenter
import com.baojia.mebike.base.IBaseView
import com.baojia.mebike.data.response.AdvertisementData
import com.baojia.mebike.data.response.center.UserCenterResponse
import com.baojia.mebike.data.response.join.JoinPlantListResponse

class JoinPlantContract {

    interface View : IBaseView<Presenter> {

       fun setJoinPlantData(data : JoinPlantListResponse.DataBean)

    }

    interface Presenter : IBasePresenter {

        /**
         * 获取加盟列表数据
         */
       fun getJoinPlantData()
    }
}