package com.baojia.mebike.feature.join.plant

import android.content.Context
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.ItemStringResponse

class JoinPlantDataAdapter(private val context : Context,val list : ArrayList<ItemStringResponse> ,val layoutId : Int)
    : BaseCommonAdapter<ItemStringResponse>(context,list,layoutId) {


    override fun convert(holder: BaseViewHolder?, list: MutableList<ItemStringResponse>?, position: Int) {
        list ?: return
        val item : ItemStringResponse = list[position]
        item ?: return
        holder?.setText(R.id.dateTextView,item.text)
        if (item.isClick){
           holder?.setBackgroundRes(R.id.backgroundImageView,R.drawable.round_main_color_storke_bg)
        }else{
            holder?.setBackgroundRes(R.id.backgroundImageView,R.drawable.round_stroke_line_color)
        }

    }

}