package com.baojia.mebike.feature.join.plant

import com.baojia.mebike.base.BaseModel
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.data.response.join.JoinPlantListResponse
import com.baojia.mebike.data.response.repair.mainrepair.ReportPostResponse
import com.baojia.mebike.http.HttpUtils
import com.baojia.mebike.util.ToolBox
import io.reactivex.disposables.Disposable
import java.util.HashMap

class JoinPlantModel(activity: JoinPlantActivity) : BaseModel(activity) {

    private val URL_JOIN_PLANT = "/bike/get/joinProduct"

    fun getJoinPlantData(httpCallback: HttpCallback<JoinPlantListResponse>): Disposable {
        val params = HashMap<String, Any>()
        return HttpUtils.postRequest(activity, URL_JOIN_PLANT, params, true, httpCallback, JoinPlantListResponse::class.java)
    }

}