package com.baojia.mebike.feature.join.record

import com.baojia.mebike.base.IBasePresenter
import com.baojia.mebike.data.response.join.JoinRecordResponse
import com.baojia.mebike.feature.model.IRefreshDataView

/**
 * +----------------------------------------------------------------------
 * | @time 2018/12/17:4:08 PM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
interface JoinRecordContract {

    interface View : IRefreshDataView<Presenter> {

        /**
         * 记录类型
         * @return 1:提现明细 0：收益明细
         */
        fun getRecordType() :Int

        fun setRecordData(mData:ArrayList<JoinRecordResponse.DataBean>?,isRefresh:Boolean)

    }

    interface Presenter : IBasePresenter {
        /**
         * 获取记录数据
         */
        fun getRecordData(isRefresh: Boolean)
    }
}