package com.baojia.mebike.base

import android.app.Activity
import android.os.Bundle
import android.view.View
import androidx.annotation.IdRes

abstract class BaseKotlinActivity : BaseActivity(){


    override fun layoutId(): Int = layoutIdKotlin()

    override fun bindView(savedInstanceState: Bundle?) = bindViewKotlin(savedInstanceState)

    protected abstract fun layoutIdKotlin(): Int

    protected abstract fun bindViewKotlin(savedInstanceState: Bundle?)

    //findviewbyid
    fun <T : View> Activity.bindView(@IdRes res: Int): Lazy<T> {
        return lazy { findViewById<T>(res) }
    }

}