package com.baojia.mebike.feature.exclusive.detail

import android.app.Activity
import com.baojia.mebike.base.BaseModel
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.feature.exclusive.detail.ExchangeDetailResponse
import com.baojia.mebike.http.HttpUtils
import io.reactivex.disposables.Disposable

class ExchangeDetailModel(activity: Activity) : BaseModel(activity){
    private val URL_EXCHANGE_DETAIL = "/bike/get/myOrder"

    fun getExchangeDetailData(httpCallback: HttpCallback<ExchangeDetailResponse>): Disposable {
        return HttpUtils.postRequest(activity, URL_EXCHANGE_DETAIL, null, false, httpCallback, ExchangeDetailResponse::class.java)
    }
}