package com.baojia.mebike.feature.exclusive.detail

import android.content.Context
import android.text.TextUtils
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.exclusive.IWillExchangeResponse

/**
 * +----------------------------------------------------------------------
 * | @time 2018/12/25:5:23 PM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
class ExchangeIntroduceAdapter (val context: Context, val list: ArrayList<IWillExchangeResponse.DataBean.KnowListBean>, layoutId :Int): BaseCommonAdapter<IWillExchangeResponse.DataBean.KnowListBean>(context,list,layoutId) {
    override fun convert(holder: BaseViewHolder?, list: MutableList<IWillExchangeResponse.DataBean.KnowListBean>?, position: Int) {
        list?.let {
            if (!TextUtils.isEmpty(it[position].desc)) {
                holder?.setText(R.id.contentTextView,it[position].desc)
            }
        }
    }
}