package com.baojia.mebike.feature.exclusive.iWillExchange

import com.baojia.mebike.data.response.exclusive.IWillExchangeResponse
import com.baojia.mebike.feature.model.IPayPresenter
import com.baojia.mebike.feature.model.IPayView


interface IwillExchangeContract {
    interface View : IPayView<Presenter> {

        fun setData(data: ArrayList<IWillExchangeResponse.DataBean.ListBean>?)

        fun setIntroduceData(title:String?,data:ArrayList<IWillExchangeResponse.DataBean.KnowListBean>?)

        fun getType() :Int

        fun bikeId() :Int

    }


    interface Presenter : IPayPresenter {

        /**
         * 获取列表信息
         */
        fun getData()

        /**
         * 换电
         */
        fun exchangePower()

    }
}