package com.baojia.mebike.feature.exclusive.powerStation

import com.baojia.mebike.base.IBasePresenter
import com.baojia.mebike.base.IBaseView
import com.baojia.mebike.data.response.exclusive.PowerStationResponse

/**
 * +----------------------------------------------------------------------
 * | @time 2018/12/22:5:39 PM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
interface PowerStationContract {

    interface View : IBaseView<Presenter> {

        fun drawSitMarker(markerBeanList: ArrayList<PowerStationResponse.DataBean.BatteryReplaceSiteVoListBean>)

        fun bikeId(): Int
    }

    interface Presenter : IBasePresenter {

        fun searchPowerStation();
    }
}