package com.baojia.mebike.feature.exclusive.powerStation

import android.app.Activity
import com.baojia.mebike.base.BasePresenter
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.data.response.exclusive.PowerStationResponse

/**
 * +----------------------------------------------------------------------
 * | @time 2018/12/22:6:52 PM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
class PowerStationPresenter constructor(var mContext: Activity, var mView: PowerStationContract.View) : BasePresenter(mContext),
        PowerStationContract.Presenter {

    private var powerStationModel: PowerStationModel? = null

    init {
        powerStationModel = PowerStationModel(mContext)
    }

    override fun searchPowerStation() {
        powerStationModel?.powerStation(mView.bikeId(),object : HttpCallback<ArrayList<PowerStationResponse.DataBean.BatteryReplaceSiteVoListBean>>(){
            override fun onSucceed(data: ArrayList<PowerStationResponse.DataBean.BatteryReplaceSiteVoListBean>?) {
                super.onSucceed(data)
                data?.let {
                    mView.drawSitMarker(it)
                }
            }
        })
    }
}