package com.baojia.mebike.feature.exclusive.shopping.aboutexclusive

import com.baojia.mebike.base.IBasePresenter
import com.baojia.mebike.base.IBaseView
import com.baojia.mebike.data.response.shopping.BikeConfigBean

/**
 * @name mebikeRewrite
 * @classPackage com.baojia.mebike.feature.exclusive.shopping.aboutexclusive
 * @author lycc1
 * @time 2018/12/24 21:08
 * @class describe
 * @class 中文描述
 */
interface AboutBikeConfigContract {
    interface View : IBaseView<Presenter> {
        fun setListData(data: BikeConfigBean?)
    }

    interface Presenter : IBasePresenter {
        fun getListConfig(productId: String?)
    }
}