package com.baojia.mebike.feature.exclusive.shopping.aboutexclusive

import android.app.Activity
import com.baojia.mebike.base.BasePresenter
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.data.response.shopping.BikeConfigBean
import com.baojia.mebike.feature.exclusive.shopping.aboutbikeconfig.AboutBikeConfigModel
import com.baojia.mebike.util.Toast

/**
 * @name mebikeRewrite
 * @classPackage com.baojia.mebike.feature.exclusive.shopping.aboutexclusive
 * @author lycc1
 * @time 2018/12/24 21:10
 * @class describe
 * @class 中文描述
 */
class AboutBikeConfigPresenter(val mContext: Activity?, val mView: AboutBikeConfigContract.View) : BasePresenter(mContext), AboutBikeConfigContract.Presenter {
    var mModel: AboutBikeConfigModel? = null
    init {
        mView.setPresenter(this)
        mModel=AboutBikeConfigModel(mContext!!)
    }


    override fun getListConfig(productId: String?) {
       addDisposable( mModel?.getListConfig(productId!!,object : HttpCallback<BikeConfigBean?>() {
            override fun onSucceed(data: BikeConfigBean?) {
                super.onSucceed(data)
                mView.setListData(data)
            }

            override fun onFailed(code: Int, message: String?) {
                super.onFailed(code, message)
                Toast.show(mContext, message)
            }

            override fun onError(code: Int, message: String?) {
                super.onError(code, message)
                onFailed(code, message)
            }
        }))
    }
}