package com.baojia.mebike.feature.exclusive.shopping.aboutexclusive

import android.app.Activity
import android.content.Context
import com.baojia.mebike.BuildConfig
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.shopping.ListProductBean
import com.baojia.mebike.feature.exclusive.shopping.aboutbikeconfig.AboutBikeConfigAct
import com.baojia.mebike.util.JumpActivity
import com.baojia.mebike.widget.CommonWebViewActivity

/**
 * @name mebikeRewrite
 * @classPackage com.baojia.mebike.feature.exclusive.shopping.bill
 * @author lycc1
 * @time 2018/12/25 15:03
 * @class describe
 * @class 中文描述
 */
class AboutExclusiveAdapter(val context: Activity, list: ArrayList<ListProductBean.DataBean.PmallProductBoListBean>, layoutId: Int)
    : BaseCommonAdapter<ListProductBean.DataBean.PmallProductBoListBean>(context, list, layoutId) {
    override fun convert(holder: BaseViewHolder?, list: MutableList<ListProductBean.DataBean.PmallProductBoListBean>?, position: Int) {
        val bean = list?.get(position) ?: return
        holder?.setText(R.id.productName, bean.name)
        holder?.setText(R.id.buyBikeInfoLeftContentTv, bean.maxSpeed.toString() + "KM/时")
        holder?.setText(R.id.buyBikeInfoRightContentTv, bean.maxPower.toString() + "KM")
        holder?.setImageUrl(R.id.bugBikePicImageView, bean.imgUrl)
        holder?.setOnClickListener(R.id.productAbout) {
            val url = bean.getHrefUrl()
            val newUrl = url + (if (url.endsWith("?")) "&" else "?") + "productID=" + bean.getProductId()+"&appfrom="+ BuildConfig.AppFrom
            JumpActivity.JumpWebView(context,bean.name,newUrl)
//            AboutBikeConfigAct.openActivity(context, bean?.productId.toString())
        }
    }
}