package com.baojia.mebike.feature.exclusive.shopping.aboutexclusive

import android.app.Activity
import com.baojia.mebike.base.BasePresenter
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.data.response.shopping.ListProductBean
import com.baojia.mebike.util.Toast

/**
 * @name mebikeRewrite
 * @classPackage com.baojia.mebike.feature.exclusive.shopping.aboutexclusive
 * @author lycc1
 * @time 2018/12/24 21:10
 * @class describe
 * @class 中文描述
 */
class AboutExclusivePresenter(val mContext: Activity?, val view: AboutExclusiveContract.View) : BasePresenter(mContext), AboutExclusiveContract.Presenter {
    var mModel: AboutExclusiveModel? = null

    init {
        view.setPresenter(this)
        mModel = AboutExclusiveModel(mContext!!);
    }


    override fun getListProduct() {
        addDisposable(mModel?.getAboutExclusiveData(object : HttpCallback<ListProductBean?>() {
            override fun onSucceed(data: ListProductBean?) {
                super.onSucceed(data)
                view.setListProduct(data)
            }

            override fun onFailed(code: Int, message: String?) {
                super.onFailed(code, message)
                Toast.show(mContext, message)
            }

            override fun onError(code: Int, message: String?) {
                super.onError(code, message)
                onFailed(code, message)
            }
        }))
    }
}