package com.baojia.mebike.feature.exclusive.shopping.aboutexclusive

import com.baojia.mebike.base.IBasePresenter
import com.baojia.mebike.data.response.shopping.MineOrderBean
import com.baojia.mebike.feature.model.IRefreshDataView

/**
 * @name mebikeRewrite
 * @classPackage com.baojia.mebike.feature.exclusive.shopping.aboutexclusive
 * @author lycc1
 * @time 2018/12/24 21:08
 * @class describe
 * @class 中文描述
 */
interface BillListsContract {
    interface View : IRefreshDataView<Presenter> {
        fun setListProduct(it: List<MineOrderBean.DataBean>,isRefresh :Boolean)
    }

    interface Presenter : IBasePresenter {
        fun onLoadMore()
        fun onRefresh()
    }
}