package com.baojia.mebike.feature.exclusive.shopping.buyBikeConfig

import android.app.Activity
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.exclusive.shapping.BuyBikeConfigResponse

class GetBikeTypeAdapter(activity: Activity?, mData: ArrayList<BuyBikeConfigResponse.DataBean.TakeTypeBean>?, layoutId: Int)
    :BaseCommonAdapter<BuyBikeConfigResponse.DataBean.TakeTypeBean>(activity,mData,layoutId) {

    override fun convert(holder: BaseViewHolder?, list: MutableList<BuyBikeConfigResponse.DataBean.TakeTypeBean>?, position: Int) {
        list?.let {
            holder?.setText(R.id.getBikeTypeItemTitle,it[position].title)
            holder?.setText(R.id.getBikeTypeItemDesc,if (it[position].isSelectAddress )it[position].address else it[position].placeholder)
            holder?.setText(R.id.getBikeTypeItemInputAddressTv,it[position].button)

            holder?.setBackgroundRes(R.id.buyBikePlantItemMainConstraintLayout,if (it[position].isClick) R.drawable.radius_main_color_storke_bg else R.drawable.radius_stroke_line_color)
            holder?.addOnClickListener(this,R.id.getBikeTypeItemInputAddressTv,position)
        }
    }

}
