package com.baojia.mebike.feature.exclusive.shopping.changbattery

import android.app.Activity
import com.baojia.mebike.base.BaseModel
import com.baojia.mebike.callback.HttpCallback
import com.baojia.mebike.data.response.ChangBatteryListBean
import com.baojia.mebike.http.HttpUtils
import io.reactivex.disposables.Disposable
import java.util.*

/**
 * @name mebikeRewrite
 * @classPackage com.baojia.mebike.feature.exclusive.shopping.aboutexclusive
 * @author lycc1
 * @time 2018/12/25 21:01
 * @class describe
 * @class 中文描述
 */
class ChangeBatteryProgressModel(activity: Activity) : BaseModel(activity) {

    /**
     * 免费换电订单
     */
    private val CHANGE_BATTERY_PROCESS = "/bike/knight/get/free/change"

    fun getListProcess(batteryId:Long,httpCallback: HttpCallback<ChangBatteryListBean>?): Disposable {
        val params = HashMap<String, Any>()
        params["id"] = batteryId
        return HttpUtils.postRequest(activity, CHANGE_BATTERY_PROCESS, params, true, httpCallback, ChangBatteryListBean::class.java)
    }

}