package com.baojia.mebike.feature.exclusive.shopping.selectBackAddress

import android.content.Context
import com.amap.api.services.core.PoiItem
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.exclusive.PowerStationResponse

/**
 * +----------------------------------------------------------------------
 * | @time 2018/12/24:11:01 PM
 * | @author house
 * | @class_describe
 * +----------------------------------------------------------------------
 **/
class SelectBackAddressAdapter constructor(context: Context, list: ArrayList<PoiItem>, layoutId: Int)
    : BaseCommonAdapter<PoiItem>(context, list, layoutId) {
    override fun convert(holder: BaseViewHolder?, list: MutableList<PoiItem>?, position: Int) {
        if (list != null) {
            list[position]?.let {
                holder?.setText(R.id.distanceTextView, "${it.distance}m")
                holder?.setText(R.id.addressIntroduceTextView, "${it.cityName}-${it.adName}-${it.snippet}")
                holder?.setText(R.id.addressNameTextView, "${it.title}")
            }
        }
        holder?.itemView?.setOnClickListener {
            onItemChildViewClickListner?.onItemChildViewClick(it,position)
        }

    }
}