package com.baojia.mebike.feature.join

import android.os.Bundle
import android.view.View
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseActivity
import com.baojia.mebike.feature.join.income.JoinIncomeActivity
import com.baojia.mebike.feature.join.plant.JoinPlantActivity
import com.baojia.mebike.util.AppManager
import kotlinx.android.synthetic.main.activity_join_commit_success.*

class JoinSuccessActivity :BaseActivity() {

    //0  意向提交   1  购买成功
    var status = 0;

    override fun layoutId(): Int = R.layout.activity_join_commit_success
    override fun bindView(savedInstanceState: Bundle?) {
        intent?.let {
            status = it.getIntExtra("status",0)
        }

        if (status == 0){
            joinIntentionSuccessConstraintLayout.visibility = View.VISIBLE
            joinBuySuccessConstraintLayout.visibility = View.GONE
        }else{
            joinIntentionSuccessConstraintLayout.visibility = View.GONE
            joinBuySuccessConstraintLayout.visibility = View.VISIBLE
        }

        setViewClickDuration(joinCommitSuccessOkTv,1)
        setViewClickDuration(joinBuySuccessOkTv,1)

    }

    override fun setViewClick(view: View?) {
        super.setViewClick(view)
        when(view){
            joinCommitSuccessOkTv -> {
                if(AppManager.getInstance().isContain(JoinIncomeActivity::class.java)) {
                    AppManager.getInstance().startActivityContainIt(JoinPlantActivity::class.java)
                } else {
                    JoinIncomeActivity.start(this)
                    AppManager.getInstance().startActivityContainIt(JoinPlantActivity::class.java)
                }
            }
            joinBuySuccessOkTv -> {
                if(AppManager.getInstance().isContain(JoinIncomeActivity::class.java)) {
                    AppManager.getInstance().startActivityContainIt(JoinPlantActivity::class.java)
                } else {
                    JoinIncomeActivity.start(this)
                    AppManager.getInstance().startActivityContainIt(JoinPlantActivity::class.java)
                }
            }
        }
    }

    override fun onBackPressed() {
    }
}