package com.baojia.mebike.feature.join.income

import android.content.Context
import com.baojia.mebike.R
import com.baojia.mebike.base.BaseCommonAdapter
import com.baojia.mebike.base.BaseViewHolder
import com.baojia.mebike.data.response.join.JoinIncomeDetailsResponse

/**
 * +----------------------------------------------------------------------
 * | @time 2018/12/15:1:27 PM
 * | @author house
 * | @class_describe Context context, List<T> list, int layoutId
 * +----------------------------------------------------------------------
 **/
class MyJoinBikeAdapter constructor(private val context: Context,
                                    private val list: ArrayList<JoinIncomeDetailsResponse.DataBean.CarNumBean>,
                                    private val layoutId: Int) :
        BaseCommonAdapter<JoinIncomeDetailsResponse.DataBean.CarNumBean>(context, list, layoutId) {

    override fun convert(holder: BaseViewHolder?, list: MutableList<JoinIncomeDetailsResponse.DataBean.CarNumBean>?, position: Int) {
//        var orderStatus: String? = null
        list?.get(position) ?: return
//        when (list[position].orderStatus) {
//            JoinOrderStatus.ORDER_NO_PAY_NO_AUDIT.status -> orderStatus = JoinOrderStatus.ORDER_NO_PAY_NO_AUDIT.introduce
//            JoinOrderStatus.ORDER_ALREADY_PAY_NO_AUDIT.status -> orderStatus = JoinOrderStatus.ORDER_ALREADY_PAY_NO_AUDIT.introduce
//            JoinOrderStatus.ORDER_OPERATING.status -> orderStatus = JoinOrderStatus.ORDER_OPERATING.introduce
//            JoinOrderStatus.ORDER_ON_OFFER.status -> orderStatus = JoinOrderStatus.ORDER_ON_OFFER.introduce
//            JoinOrderStatus.ORDER_ALREADY_OFFER.status -> orderStatus = JoinOrderStatus.ORDER_ALREADY_OFFER.introduce
//            JoinOrderStatus.ORDER_ALREADY_ABANDON.status -> orderStatus = JoinOrderStatus.ORDER_ALREADY_ABANDON.introduce
//        }
        holder?.setText(R.id.titleTextView, list[position].message)

        holder?.setText(R.id.contentTextView, "${list[position].num}辆")
    }
}