package com.baojia.mebike.util

/**
 * +----------------------------------------------------------------------
 * | @time 2018/12/24:5:10 PM
 * | @author house
 * | @class_describe 接口兼容专享功能工具类
 * +----------------------------------------------------------------------
 **/
class UrlSelectUtils {

    companion object {

        /**
         * 获取附近可用车辆接口
         */
        @JvmStatic
        fun getSearchBikeUrl(): String {
            if (isCompanyExclusive()) {
                return ""
            }
            return "/bike/search/near/bike/and/area"
        }

        /**
         * 获取运营区域接口
         */
        fun getOperationAreaUrl() :String{
            if (isCompanyExclusive()) {
                return "/bike/search/operate/area"
            }
            return "/bike/search/operate/area/v2"
        }

        /**
         * 是否是企业专享
         * @return true:是 false:否
         */
        @JvmStatic
        fun isCompanyExclusive(): Boolean {
            return false;
        }

    }


}